# Generated automatically from Makefile.in by configure.
#######################################################################
# $Header: /home/cvsroot/dmc/lib/mips/SWILL-0.1/Source/SWILL/mipsel.mk,v 1.2 2006/05/10 21:40:13 frefol Exp $
#######################################################################

srcdir = .

#.KEEP_STATE:

CC      = mipsel-linux-gcc
CCSHARED= -fpic
prefix  = /usr/local/mipsel-linux
RANLIB  = ranlib
AR      = ar
SO      = .so
LDSHARED= mipsel-linux-gcc -shared
NETLIBS = 

########################################################################
# Normally, you shouldn't have to change anything below this point     #
########################################################################

LIBOBJS = log.o io.o encoding.o handlers.o mime.o parse.o web.o security.o
LIBSRCS = log.c io.c encoding.c handlers.c mime.c parse.c web.c security.c

DOHOBJS = ../Objects/*.o
LIBHEADERS = $(srcdir)/../Include/swill.h
LIB        = libswill$(SO)
SLIB       = libswill.a
INCLUDE    = -I$(srcdir)/../../Include -I$(srcdir)/../Objects -I$(prefix)/include
CFLAGS     = 
SHELL      = /bin/sh

#
# Rules for creation of a .o file from .cxx
.SUFFIXES: .c
.c.o:
	$(CC) $(CCSHARED) $(INCLUDE) $(CFLAGS) -c -o $*.o $<

all: static shared

static: $(LIBOBJS)
	@echo "Building static library"
	$(AR) cr $(SLIB) $(LIBOBJS) $(DOHOBJS)
	cp -f $(SLIB) ../..

shared: $(LIBOBJS)
	@echo "Building shared library"
	$(LDSHARED) $(LIBOBJS) $(DOHOBJS) -o $(LIB) $(NETLIBS)
	cp -f $(LIB) ../..

clean::
	rm -f *.o $(LIB) ../$(LIB) $(SLIB)

nuke::
	rm -f Makefile *~ #* core a.out



