# Generated automatically from Makefile.in by configure.
#######################################################################
# $Header: /home/cvsroot/dmc/lib/mips/SWILL-0.1/Source/SWILL/smp-mipsel.mk,v 1.1 2008/05/06 00:11:28 jdaub Exp $
#######################################################################

srcdir = .

#.KEEP_STATE:

CC      = mipsel-linux-gcc
CCSHARED=
prefix  = /usr/local/smp-mipsel
RANLIB  = mipsel-linux-ranlib
AR      = mipsel-linux-ar
SO      = .so
LDSHARED= mipsel-linux-ld -shared
NETLIBS = 

########################################################################
# Normally, you shouldn't have to change anything below this point     #
########################################################################

LIBOBJS = log.o io.o encoding.o handlers.o mime.o parse.o web.o security.o
LIBSRCS = log.c io.c encoding.c handlers.c mime.c parse.c web.c security.c

DOHOBJS = ../Objects/*.o
LIBHEADERS = $(srcdir)/../Include/swill.h
LIB        = libswill$(SO)
SLIB       = libswill.a
INCLUDE    = -I$(srcdir)/../../Include -I$(srcdir)/../Objects -I$(prefix)/include
CFLAGS     = -O2 -w -fomit-frame-pointer -mips32r2 -Wa,-mips32r2 -D__linux__ -D_TARGET_SIGMA_ -I \"/usr/local/smp-mipsel/include\"
SHELL      = /bin/sh

#
# Rules for creation of a .o file from .cxx
.SUFFIXES: .c
.c.o:
	$(CC) $(CCSHARED) $(INCLUDE) $(CFLAGS) -c -o $*.o $<

all: shared

static: $(LIBOBJS)
	@echo "Building static library"
	$(AR) cr $(SLIB) $(LIBOBJS) $(DOHOBJS)
	cp -f $(SLIB) ../..

shared: $(LIBOBJS)
	@echo "Building shared library"
	$(LDSHARED) $(LIBOBJS) $(DOHOBJS) -o $(LIB) $(NETLIBS)
	cp -f $(LIB) ../..

clean::
	rm -f *.o $(LIB) ../$(LIB) $(SLIB)

nuke::
	rm -f Makefile *~ #* core a.out



