
#ifndef _FLAC_H_
#define _FLAC_H_

#include <fiolib.h>

int FLAC_Open(FIO_FUNC *fio, void **ppvHandle);
int FLAC_OpenFile(char *FileName, void **ppvHandle);
int FLAC_Read(void *pvHandle, unsigned char *buffer, int length);
int FLAC_Seek(void *pvHandle, int whence, long long pos);
int FLAC_GetFileSize(void *pvHandle, long long *file_size);
int FLAC_Close(void *pvHandle);
int FLAC_GetStreamInfo(void *pvHandle, unsigned int *total_samples, unsigned int *bits_per_sample, unsigned int *num_channels, unsigned int *sample_rate);
int FLAC_GetDuration(void *pvHandle, long long *msecs);
int FLAC_GetTagInfo(void *pvHandle, char *title, int title_len, int *track_number, char *artist, int artist_len, char *album, int album_len,
		    char *genre, int genre_len, int *year);

#endif
