# Generated automatically from Makefile.in by configure.
#######################################################################
# $Header: /home/cvsroot/dmc/lib/mips/SWILL-0.1/Source/SWILL/arm-elf.mk,v 1.3 2006/05/30 17:30:32 frefol Exp $
#######################################################################

srcdir = .

#.KEEP_STATE:

CC      = arm-elf-gcc 
CCSHARED=
prefix  = /usr/local/arm-elf
RANLIB  = arm-elf-ranlib
AR      = arm-elf-ar
SO      = .so
LDSHARED= arm-elf-gcc -shared
NETLIBS = 

########################################################################
# Normally, you shouldn't have to change anything below this point     #
########################################################################

LIBOBJS = log.o io.o encoding.o handlers.o mime.o parse.o web.o security.o
LIBSRCS = log.c io.c encoding.c handlers.c mime.c parse.c web.c security.c

DOHOBJS = ../Objects/*.o
LIBHEADERS = $(srcdir)/../Include/swill.h
LIB        = libswill$(SO)
SLIB       = libswill.a
INCLUDE    = -I$(srcdir)/../../Include -I$(srcdir)/../Objects -I$(prefix)/include
CFLAGS     = -O2 -w -fomit-frame-pointer -fno-strict-aliasing -fno-common -pipe -fno-builtin -D__linux__ -D_TARGET_SIGMA_ -DNO_MM -mapcs-32 -march=armv4 -mtune=arm7tdmi -mshort-load-bytes -msoft-float -I \"/usr/local/arm-elf/include\"
SHELL      = /bin/sh

#
# Rules for creation of a .o file from .cxx
.SUFFIXES: .c
.c.o:
	$(CC) $(CCSHARED) $(INCLUDE) $(CFLAGS) -c -o $*.o $<

all: static shared

static: $(LIBOBJS)
	@echo "Building static library"
	$(AR) cr $(SLIB) $(LIBOBJS) $(DOHOBJS)
	cp -f $(SLIB) ../..

shared: $(LIBOBJS)
	@echo "Building shared library"
	$(LDSHARED) $(LIBOBJS) $(DOHOBJS) -o $(LIB) $(NETLIBS)
	cp -f $(LIB) ../..

clean::
	rm -f *.o $(LIB) ../$(LIB) $(SLIB)

nuke::
	rm -f Makefile *~ #* core a.out



